Kerbal Space Program - Bug #24967

angle limit on servos are not mirrored with mirror symmetry
03/04/2020 11:21 AM - sir_frost

Status: Resolved Start date: 03/04/2020
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.10.0

Version: 1.9.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

how to reproduce

place any rotational servo on a part in mirror symetry
click on part and disable full rotation

set angle limit to only allow positive or negative values
set target angel to be non zero

when loading the craft one of the servos will rotate violently until it is within the inverse of the angle limit

example set angle limit from 45 to 60 degrees
upon loading the craft the "other" servo will rotate to within -45 and -60 degrees

the target angle is mirrored "correctly" so that the parts rotate the same way (although one is rotation clockwise and the other
anticlockwise)
the angle limit is mirrored "wrong" and is in the same direction for both servos.

the rotation is usually strong enough to tear your ship apart och catapult it away.
what you cant see between these two images is the rapid rotation.
for greater angles the parts just rip it self loose.
Related issues:
Related to Kerbal Space Program - Bug #24530: Servos on Symetry Always Angle ... Duplicate

12/23/2019

History

#2 - 03/04/2020 06:21 PM - James.Bleyle
- Status changed from New to Confirmed

- % Done changed from 0 to 10
Issue confirmed on PC Build 2788. Angle limits are not mirrored in mirror symmetry mode in the VAB/SPH.

#3 - 03/17/2020 05:24 PM - victorr
- Related to Bug #24530: Servos on Symetry Always Angle at 0* When Not Using Full Rotation added

#4 - 07/06/2020 03:22 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.10.0

- % Done changed from 10 to 80
We've made some changes in this latest version and would like some feedback on this issue.

#5 - 07/07/2020 05:43 PM - James.Bleyle
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Fix Verified on PC build 2917. Rotational servo parts now respect mirror symmetry when setting angle limits.
